/* Standard 74LS273 part
 * Michael Robinson
 */

`timescale 1ns/10ps

module u74ls273( d, q, mr_, clk );
input [7:0] d;
input mr_;
input clk;

output [7:0] q;

reg [7:0] q;

always @( posedge clk or negedge mr_ )
begin
   if( mr_ == 0 )
      q <= 0;
   else
      q <= d;
end
endmodule