/* Standard 74LS139 part (1/2) 
 * Michael Robinson 
 */
`timescale 1ns/10ps

module u74ls139( e_, a, q );
input e_;
input [1:0] a;
output [3:0] q;

wire [3:0] q;

assign q[0] = ((e_ == 0)&(a==2'b00))?0:1;
assign q[1] = ((e_ == 0)&(a==2'b01))?0:1;
assign q[2] = ((e_ == 0)&(a==2'b10))?0:1;
assign q[3] = ((e_ == 0)&(a==2'b11))?0:1;
endmodule