/* Standard 74LS374 part 
 * Michael Robinson 
 */
`timescale 1ns/10ps

module u74ls374( d, q, clk, oe_ );
input [7:0] d;
input clk, oe_;

output [7:0] q;

reg [7:0] q_s;
wire [7:0] q;

always @( posedge clk ) begin
   q_s <= d;
end

assign q=(oe_)?8'bzzzzzzzz:q_s;
endmodule